Create callback signing secret
curl --request POST \
--url https://api.runflow.io/v1/callback-secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>"
}
'{
"plain_secret": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key_prefix": "<string>",
"is_current": true,
"label": "<string>",
"disabled_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Webhooks
Create callback signing secret
Generate a new HMAC signing secret for callback delivery. Returns the full secret once.
POST
/
v1
/
callback-secrets
Create callback signing secret
curl --request POST \
--url https://api.runflow.io/v1/callback-secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>"
}
'{
"plain_secret": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key_prefix": "<string>",
"is_current": true,
"label": "<string>",
"disabled_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
POST body.
Maximum string length:
255Response
The created secret with the one-time plain secret.
POST response — includes the one-time plain secret.
⌘I